NEXTCLOUD(1)

NAME
nextcloud - File synchronisation desktop utility.

SYNOPSIS

nextcloud [OPTIONS...]

DESCRIPTION

The nextCloud Client is a file synchronization desktop utility. It synchronizes files on your local computer, tablet, or handheld device with an nextCloud Server. If you make a change to the files on one device, the change is propagated to all other synchronized devices using the desktop synchronization clients.

Normally, you start the client by clicking on the desktop icon or by starting it from the client application menu. After starting, an nextCloud icon appears in the computer system tray or on your tablet or handheld device.

OPTIONS

You have the option of starting your Nextcloud desktop client with the nextcloud command. The following options are supported:

nextcloud -h or nextcloud --help
    Displays all command options.

    The other options are:

--logwindow
    Opens a window displaying log output.

--logfile <filename>
    Write log output to the file specified. To write to stdout, specify - as the filename.

--logdir <name>
    Writes each synchronization log output in a new file in the specified directory.

--logexpire <hours>
    Removes logs older than the value specified (in hours). This command is used with --logdir.

--logflush
    Clears (flushes) the log file after each write action.

--logdebug
    Also output debug-level messages in the log (equivalent to setting the env var QT_LOGGING_RULES="qt.*=true;*.debug=true").

--confdir <dirname>
    Uses the specified configuration directory.

--background
    Launch the application in the background (i.e. without opening the main dialog).

CONFIG FILE

The Nextcloud Client reads a configuration file. You can locate this configuration file as follows:

On Linux distributions:
    $HOME/.config/Nextcloud/nextcloud.cfg

On Microsoft Windows systems:
    %APPDATA%\Nextcloud\nextcloud.cfg

On macOS systems:
    $HOME/Library/Preferences/Nextcloud/nextcloud.cfg

    The configuration file contains settings using the Microsoft Windows .ini file format. You can overwrite changes using the Nextcloud configuration dialog.

    NOTE: Use caution when making changes to the Nextcloud Client configuration file. Incorrect settings can produce unintended results.

    Some interesting values that can be set on the configuration file are:
    [Nextcloud] section
    Variable | Default | Meaning
    remotePollInterval | 30000 | Specifies the poll time for the remote repository in milliseconds.
    forceSyncInterval | 7200000 | The duration of no activity after which a synchronization run shall be triggered automatically.
    fullLocalDiscoveryInterval | 3600000 | The interval after which the next synchronization will perform a full local discovery.
    notificationRefreshInterval | 300000 | Specifies the default interval of checking for new server notifications in milliseconds.
    [General] section
    Variable | Default | Meaning
    chunkSize | 10000000 (10 MB) | Specifies the chunk size of uploaded files in bytes. The client will dynamically adjust this size within the maximum and minimum bounds (see below).
    forceLoginV2 | false | If the client should force the new login flow, eventhough some circumstances might need the old flow.
    minChunkSize | 5000000 (5 MB) | Specifies the minimum chunk size of uploaded files in bytes.
    maxChunkSize | 5000000000 (5000 MB) | Specifies the maximum chunk size of uploaded files in bytes.
    targetChunkUploadDuration | 60000 (1 minute) | Target duration in milliseconds for chunk uploads. The client adjusts the chunk size until each chunk upload takes approximately this long. Set to 0 to disable dynamic chunk sizing.
    promptDeleteAllFiles | false | If a UI prompt should ask for confirmation if it was detected that all files and folders were deleted.
    timeout | 300 | The timeout for network connections in seconds.
    moveToTrash | false | If non-locally deleted files should be moved to trash instead of deleting them completely.
    showExperimentalOptions | false | Whether to show experimental options that are still undergoing testing in the user interface. Turning this on does not enable experimental behavior on its own. It does enable user interface options that can be used to opt in to experimental features.
    showMainDialogAsNormalWindow | false | Whether the main dialog should be shown as a normal window even if tray icons are available.
    [Proxy] section
    Variable | Default | Meaning
    host | 127.0.0.1 | The address of the proxy server.
    port | 8080 | The port were the proxy is listening.
    type | 2 | 0 for System Proxy.
    1 for SOCKS5 Proxy.
    2 for No Proxy.
    3 for HTTP(S) Proxy.

BUGS

Please report bugs at https://github.com/nextcloud/client/issues.

SEE ALSO

nextcloudcmd(1)

AUTHOR
The Nextcloud developers

COPYRIGHT
2013-2024, The Nextcloud developers